Skip to main content
POST
/
v3
/
contacts
/
{id}
/
send-direct-linkedin-inmail
Send a LinkedIn InMail to a contact
curl --request POST \
  --url https://api.reply.io/v3/contacts/{id}/send-direct-linkedin-inmail \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "linkedInAccountId": 123,
  "subject": "<string>",
  "body": "<string>"
}
'
import requests

url = "https://api.reply.io/v3/contacts/{id}/send-direct-linkedin-inmail"

payload = {
"linkedInAccountId": 123,
"subject": "<string>",
"body": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({linkedInAccountId: 123, subject: '<string>', body: JSON.stringify('<string>')})
};

fetch('https://api.reply.io/v3/contacts/{id}/send-direct-linkedin-inmail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "actionType": "inMail",
  "linkedInActivityId": 1043,
  "sentAtUtc": "2026-05-15T10:31:00Z"
}

Authorizations

Authorization
string
header
required

Authenticate every request with a Bearer token. Pass your Reply API key in the Authorization header:

Authorization: Bearer <your-api-key>

Get your API key from the Reply dashboard: Settings → API Key.

Path Parameters

id
integer
required

Contact ID

Required range: x >= 1

Body

application/json
linkedInAccountId
integer
required

ID of the LinkedIn account to send from. Must be greater than 0.

subject
string
required

InMail subject line.

Maximum string length: 200
body
string
required

InMail body text.

Maximum string length: 1900

Response

InMail sent successfully.

Response returned after a direct LinkedIn action is dispatched.

actionType
enum<string>
required

The type of LinkedIn action performed.

Available options:
connect,
inMail,
message,
voice,
aiVoice
linkedInActivityId
integer
required

ID of the LinkedIn activity record created for this action.

sentAtUtc
string<date-time>
required

UTC timestamp when the action was dispatched.